Test::Int::IntRelTypes Class Reference

Iterator for integer relation types. More...

`#include <int.hh>`

## Public Member Functions

| IntRelTypes (void)
| Initialize iterator.
void | reset (void)
| Reset iterator.
bool | operator() (void) const
| Test whether iterator is done.
void | operator++ (void)
| Increment to next relation type.
Gecode::IntRelType | irt (void) const
| Return current relation type.

## Detailed Description

Iterator for integer relation types.

Definition at line 368 of file int.hh.

## Constructor & Destructor Documentation

## IntRelTypes()

Test::Int::IntRelTypes::IntRelTypes | ( | void |  | ) |

inline

Initialize iterator.

Definition at line 336 of file int.hpp.

## Member Function Documentation

## reset()

void Test::Int::IntRelTypes::reset | ( | void |  | ) |

inline

Reset iterator.

Definition at line 339 of file int.hpp.

## operator()()

bool Test::Int::IntRelTypes::operator() | ( | void |  | ) | const

inline

Test whether iterator is done.

Definition at line 343 of file int.hpp.

## operator++()

void Test::Int::IntRelTypes::operator++ | ( | void |  | ) |

inline

Increment to next relation type.

Definition at line 347 of file int.hpp.

## irt()

Gecode::IntRelType Test::Int::IntRelTypes::irt | ( | void |  | ) | const

inline

Return current relation type.

Definition at line 351 of file int.hpp.

The documentation for this class was generated from the following files:

- test/int.hh
- test/int.cpp
- test/int.hpp